# Interface ISectionOptions

#### Hierarchy

- ISectionOptions

- Defined in src/file/file.ts:21

#####
Index

### Properties

children
footers?
headers?
properties?

## Properties

### `Readonly` children

children: readonly FileChild[]

- Defined in src/file/file.ts:33

### `Optional` `Readonly` footers

footers?: {
default?: Footer;
even?: Footer;
first?: Footer;
}

#### Type declaration

- ##### `Optional` `Readonly` default?: Footer

- ##### `Optional` `Readonly` even?: Footer

- ##### `Optional` `Readonly` first?: Footer

- Defined in src/file/file.ts:27

### `Optional` `Readonly` headers

headers?: {
default?: Header;
even?: Header;
first?: Header;
}

#### Type declaration

- ##### `Optional` `Readonly` default?: Header

- ##### `Optional` `Readonly` even?: Header

- ##### `Optional` `Readonly` first?: Header

- Defined in src/file/file.ts:22

### `Optional` `Readonly` properties

properties?: ISectionPropertiesOptions

- Defined in src/file/file.ts:32

Generated using TypeDoc